Bug 73921 - [Qt] Rendering issues with sliders and QStyle
Summary: [Qt] Rendering issues with sliders and QStyle
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Pierre Rossi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-06 06:57 PST by Pierre Rossi
Modified: 2011-12-12 08:44 PST (History)
1 user (show)

See Also:


Attachments
Patch (4.96 KB, patch)
2011-12-06 07:10 PST, Pierre Rossi
no flags Details | Formatted Diff | Diff
Patch (4.25 KB, patch)
2011-12-07 07:02 PST, Pierre Rossi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Rossi 2011-12-06 06:57:03 PST
[Qt] Rendering issues with sliders and QStyle
Comment 1 Pierre Rossi 2011-12-06 07:10:49 PST
Created attachment 118045 [details]
Patch
Comment 2 Simon Hausmann 2011-12-07 00:27:23 PST
Comment on attachment 118045 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=118045&action=review

> Source/WebCore/platform/qt/RenderThemeQStyle.cpp:806
> +#ifndef QT_NO_STYLE_MOTIF
> +        // Motif style sliders have a border on each side that needs to be accounted for
> +        if (qobject_cast<QMotifStyle*>(qstyle))
> +            length += 2 * qstyle->pixelMetric(QStyle::PM_DefaultFrameWidth);
> +#endif

Hmm, can we leave out this part of the patch? :)

An #ifdef, a qobject_cast and an #include for a configuration that is beyond being just obsolete? :)
Comment 3 Pierre Rossi 2011-12-07 07:02:04 PST
Created attachment 118206 [details]
Patch
Comment 4 Simon Hausmann 2011-12-08 02:44:31 PST
Comment on attachment 118206 [details]
Patch

r=me
Comment 5 WebKit Review Bot 2011-12-08 04:55:30 PST
Comment on attachment 118206 [details]
Patch

Rejecting attachment 118206 [details] from commit-queue.

pierre.rossi@gmail.com does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 6 WebKit Review Bot 2011-12-12 08:44:48 PST
Comment on attachment 118206 [details]
Patch

Clearing flags on attachment: 118206

Committed r102589: <http://trac.webkit.org/changeset/102589>
Comment 7 WebKit Review Bot 2011-12-12 08:44:52 PST
All reviewed patches have been landed.  Closing bug.